package com.bocloud.cmp.model.jumpserver;

import com.alibaba.fastjson.annotation.JSONField;

public class AuthInfo {
    /**
     * native认证方式的密码类型
     * 取值范围["custom","auto"]
     */
    private String passwordType;
    private String loginModifyPwd;
    private String loginModifyPin;
    @JSONField(name = "tokenSN")
    private String tokenSn;
    @JSONField(name = "ldap_username")
    private String ldapUsername;
    @JSONField(name = "radius_username")
    private String radiusUsername;
    private String phoneNumber;

    public String getPasswordType() {
        return passwordType;
    }

    public void setPasswordType(String passwordType) {
        this.passwordType = passwordType;
    }

    public String getLoginModifyPwd() {
        return loginModifyPwd;
    }

    public void setLoginModifyPwd(String loginModifyPwd) {
        this.loginModifyPwd = loginModifyPwd;
    }

    public String getLoginModifyPin() {
        return loginModifyPin;
    }

    public void setLoginModifyPin(String loginModifyPin) {
        this.loginModifyPin = loginModifyPin;
    }

    public String getTokenSn() {
        return tokenSn;
    }

    public void setTokenSn(String tokenSn) {
        this.tokenSn = tokenSn;
    }

    public String getLdapUsername() {
        return ldapUsername;
    }

    public void setLdapUsername(String ldapUsername) {
        this.ldapUsername = ldapUsername;
    }

    public String getRadiusUsername() {
        return radiusUsername;
    }

    public void setRadiusUsername(String radiusUsername) {
        this.radiusUsername = radiusUsername;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }
}
